Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material.channel
Class Result

    java.lang.Object
      de.grogra.imp3d.glsl.material.channel.Result

    public class Result

extends java.lang.Object

Result of all GLSLChanelMap Shaders. Holds String representation and type of a Shaders result.

Author:
  Konni Hartmann

Field Summary
`static int` | `ET_BOOL`
`static int` | `ET_FLOAT`
`static int` | `ET_UNKNOWN`
`static int` | `ET_VEC2`
`static int` | `ET_VEC3`
`static int` | `ET_VEC4`

Constructor Summary
`Result(java.lang.String value, int rtType)`

Method Summary
`java.lang.String` | `convert(int tarType)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getReturnType()`
`static java.lang.String` | `getTypeString(int TYPE)`
`int` | `hashCode()`
`java.lang.String` | `reduce(int tarType)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ET_BOOL

    public static final int ET_BOOL

See Also:
  Constant Field Values

### ET_FLOAT

    public static final int ET_FLOAT

See Also:
  Constant Field Values

### ET_UNKNOWN

    public static final int ET_UNKNOWN

See Also:
  Constant Field Values

### ET_VEC2

    public static final int ET_VEC2

See Also:
  Constant Field Values

### ET_VEC3

    public static final int ET_VEC3

See Also:
  Constant Field Values

### ET_VEC4

    public static final int ET_VEC4

See Also:
  Constant Field Values

Constructor Detail

### Result

    public Result(java.lang.String value,
                  int rtType)

Method Detail

### convert

    public java.lang.String convert(int tarType)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getReturnType

    public int getReturnType()

### getTypeString

    public static java.lang.String getTypeString(int TYPE)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### reduce

    public java.lang.String reduce(int tarType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD